/*
 * Class ACTIVE [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1829 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1829 [] = {0xFF01,1551,1828,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1829 [] = {0xFF01,1828,848,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1829 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1829 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1829 [] = {0xFF01,1828,848,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1829 [] = {0xFF01,1828,848,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1829 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1829 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1829 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1829 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1829 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1829 [] = {1828,848,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1829 [] = {0xFF01,1828,848,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1829 [] = {0xFF01,1824,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1829 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1829 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1829[] = {
	{EIF_GENERIC(NULL), 9088, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1829), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1829), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1829), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1829), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1829), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1829), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1829), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1829), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1829), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1829), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1829), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1829), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1829), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1829), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8634, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1829), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1829), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1829), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9089, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1829(void)
{
	IDSC(desc_1829, 0, 1828);
	IDSC(desc_1829 + 1, 1, 1828);
	IDSC(desc_1829 + 32, 1134, 1828);
	IDSC(desc_1829 + 41, 1135, 1828);
	IDSC(desc_1829 + 50, 1060, 1828);
	IDSC(desc_1829 + 56, 778, 1828);
}


#ifdef __cplusplus
}
#endif
